Uploaded image for project: 'MariaDB Server'
  1. MariaDB Server
  2. MDEV-25225

Warning on deprecated directive in sql_yacc.yy during build

    XMLWordPrintable

    Details

    • Type: Bug
    • Status: Closed (View Workflow)
    • Priority: Major
    • Resolution: Duplicate
    • Affects Version/s: 10.2, 10.3, 10.4, 10.5, 10.6
    • Fix Version/s: N/A
    • Component/s: Parser
    • Labels:
      None

      Description

      At rev 3402184ce3d235788455c30a2d2dae3c32d15af9 in 10.6 (may affect earlier versions in same way as well)

      /test/10.6_dbg/sql/sql_yacc.yy:332.1-12: warning: deprecated directive: '%pure-parser', use '%define api.pure' [-Wdeprecated]
        332 | %pure-parser                                    /* We have threads */
            | ^~~~~~~~~~~~
      

        Attachments

          Issue Links

            Activity

              People

              Assignee:
              sanja Oleksandr Byelkin
              Reporter:
              Roel Roel Van de Paar
              Votes:
              0 Vote for this issue
              Watchers:
              4 Start watching this issue

                Dates

                Created:
                Updated:
                Resolved:

                  Git Integration